SSL_get_default_timeout(3) | OpenSSL | SSL_get_default_timeout(3)

# NAME

SSL_get_default_timeout - get default session timeout value

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/ssl.h>
     long SSL_get_default_timeout(const SSL *ssl);

# DESCRIPTION

SSL_get_default_timeout() returns the default timeout value assigned to SSL_SESSION objects negotiated for the protocol valid for ssl.

# NOTES

Whenever a new session is negotiated, it is assigned a timeout value, after which it will not be accepted for session reuse. If the timeout value was not explicitly set using SSL_CTX_set_timeout(3), the hardcoded default timeout for the protocol will be used.
SSL_get_default_timeout() return this hardcoded value, which is 300 seconds for all currently supported protocols (SSLv2, SSLv3, and TLSv1).

# RETURN VALUES

See description.

# SEE ALSO

ssl(3), SSL_CTX_set_session_cache_mode(3), SSL_SESSION_get_time(3), SSL_CTX_flush_sessions(3), SSL_get_default_timeout(3)

2009-07-19 | 1.0.2k